package org.project.item.potions;

import org.project.entity.enemies.Enemy;
import org.project.entity.players.Player;

import java.security.DrbgParameters;

// TODO: UPDATE IMPLEMENTATION
public class strengthPotion extends Potion {
    /*
    THIS IS AN EXAMPLE OF A CONSUMABLE DESIGN.
    */

    // TODO: UPDATE USE METHOD
    //@Override
    //public void use(Player target) {
    //    target.heal(target.getMaxHP() / 10);
    //}


    public strengthPotion(int number, int cost, int extraMP) {
        super(number, cost, 0, extraMP);
    }

    @Override
    public void consume(Enemy target, Player player) {
        if (player.isCHitOnNextTurn()) {
            target.takeDamage(player.getWeapon().getDamage() + 5);
            player.CHitOnNextTurn(false);
        }
        player.fillMana(getExtraMP());
        decreaseNum(1);
    }
}
